*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scrollbar-gutter: stable;
}
.footer {
  background: linear-gradient(135deg, rgb(75, 35, 100), rgb(107, 58, 138));
  color: #e5e7eb;
  padding-top: 40px;
}

/* GRID */
.footer-container {
  max-width: 1200px;
  margin: auto;
  display: grid;
  grid-template-columns: 1.5fr 1fr 1fr 1fr;
  gap: 50px;
  padding: 0 20px;
}

/* LOGO */
.footer-logo img {
  height: 60px;
  margin-bottom: 15px;
  filter: brightness(75)
}

/* TEXT */
.footer-col p {
  font-size: 14px;
  line-height: 1.7;
  color: #d1d5db;
}

/* MINI STATS */
.footer-stats {
  margin-top: 15px;
  display: flex;
  gap: 15px;
  flex-wrap: wrap;
}

.footer-stats span {
  background: rgba(255,255,255,0.1);
  padding: 6px 12px;
  border-radius: 6px;
  font-size: 12px;
}

/* HEADINGS */
.footer-col h3 {
  color: #fff;
  margin-bottom: 18px;
  font-size: 18px;
  position: relative;
}

.footer-col h3::after {
  content: "";
  width: 45px;
  height: 3px;
  background: #a78bfa;
  position: absolute;
  bottom: -6px;
  left: 0;
}

/* LINKS */
.footer-col a {
  display: block;
  color: #d1d5db;
  text-decoration: none;
  margin: 10px 0;
  transition: 0.3s ease;
}

/* 🔥 Smooth hover */
.footer-col a:hover {
  color: #fff;
  transform: translateX(6px);
}

/* SOCIAL */
.socials {
  margin-top: 15px;
}

.socials a {
  display: inline-block;
  width: 40px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  border-radius: 50%;
  margin-right: 10px;

  background: rgba(255,255,255,0.1);
  color: white;
  transition: 0.3s;
}

/* 🔥 Glow effect */
.socials a:hover {
  background: #a78bfa;
  box-shadow: 0 0 15px rgba(167,139,250,0.9);
  transform: translateY(-4px);
}
/* CONTACT ICONS FIX */
.footer-col p {
  color: #d1d5db;
}

/* icon ko white force */
.footer-col p i {
  color: #ffffff;
  margin-right: 8px;
}

/* BOTTOM */
.footer-bottom {
  text-align: center;
  padding: 25px;
  margin-top: 50px;
  border-top: 1px solid rgba(255,255,255,0.1);
  font-size: 14px;
  color: #cbd5f5;
}
.footer-bottom-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
}

.footer-links {
  display: flex;
  gap: 16px;
  flex-wrap: wrap;
}

.footer-links a {
  font-size: 12px;
  color: #cbd5f5;
  text-decoration: none;
  transition: 0.3s;
  position: relative;
}

/* subtle divider */
.footer-links a::after {
  content: "•";
  margin-left: 16px;
  color: rgba(255,255,255,0.3);
}

.footer-links a:last-child::after {
  content: "";
}

/* hover effect */
.footer-links a:hover {
  color: #ffffff;
}

/* 📱 RESPONSIVE */
@media (max-width: 900px) {
  .footer-container {
    grid-template-columns: 1fr 1fr;
  }
}

@media (max-width: 500px) {
  .footer-container {
    grid-template-columns: 1fr;
  }
}